## org.jboss.ejb.plugins.jrmp.interfaces
Class EntityHandleImpl

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.EntityHandleImpl

All Implemented Interfaces:
  javax.ejb.Handle, java.io.Serializable

public class EntityHandleImpl
extends AbstractHandle
implements javax.ejb.Handle

An EJB entity bean handle implementation.

Version:
  $Revision: 1.7 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` `id` The primary key of the entity bean.

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`initialContextHandle, name`

Constructor Summary
`EntityHandleImpl(InitialContextHandle state, java.lang.String name, java.lang.Object id)` Construct a `EntityHandleImpl`.

Method Summary
`javax.ejb.EJBObject` `getEJBObject()` Handle implementation.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.AbstractHandle
`createInitialContext, getEJBObject, lookupEJBHome`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected final java.lang.Object id

  The primary key of the entity bean.

Constructor Detail

### EntityHandleImpl

    public EntityHandleImpl(InitialContextHandle state,
                            java.lang.String name,
                            java.lang.Object id)

  Construct a `EntityHandleImpl`.
  Parameters:
    `state` - The initial context state that will be used to restore the naming context or null to use a fresh InitialContext object.
    `name` - JNDI name.
    `id` - Primary key of the entity.

Method Detail

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()
                                     throws java.rmi.RemoteException

  Handle implementation.
  Specified by:
    `getEJBObject` in interface `javax.ejb.Handle`
  Returns:
    `EJBObject` reference.
  Throws:
    `ServerException` - Could not get EJBObject.
    `java.rmi.RemoteException` -

Copyright © 2000 The JBoss Organization. All Rights Reserved.